# Copyright (c) 2018-present eyeo GmbH
#
# This module is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# This playbook is intended for development use only: Neither importing nor
# including the role in other playbooks will cause evaluation of this file.
---

# https://docs.ansible.com/ansible/latest/user_guide/playbooks.html
- hosts:
    "all"

  tasks:

    # https://docs.ansible.com/ansible/latest/import_role_module.html
    - import_role:
        name: "ssh-server"

  vars:

    # ssh-server/defaults/main.yml
    tmate_ssh_server_repository:
      "https://gitlab.com/eyeo/devops/dependencies/tmate-ssh-server"

    # ssh-server/defaults/main.yml
    tmate_ssh_server_version:
      "master"
